import { TableColumn, TableProps, TableBodyCellProps, TableHeadCellProps } from '@vtex/admin-ui';

type Props<T> = {
    data: T[];
    columns: TableColumn<T>[];
    withoutHead?: boolean;
    getBodyCell: (column: TableColumn<T>, item: T) => TableBodyCellProps<T>;
    getHeadCell?: (column: TableColumn<T>) => TableHeadCellProps<T>;
    getTable: () => TableProps<T>;
};
export declare const Table: <T>({ data, columns, withoutHead, getBodyCell, getHeadCell, getTable, }: Props<T>) => import("react/jsx-runtime").JSX.Element;
export {};
//# sourceMappingURL=table.component.d.ts.map