import { Product } from '../../../../shared';
import { TableBodyCellProps, TableColumn, TableHeadCellProps, TableProps, UsePaginationReturn } from '@vtex/admin-ui';

type Props = {
    columns: TableColumn<Product>[];
    initialSelectedOption: number;
    itemsPerPage: number;
    numberOfItems: number;
    options: number[];
    products: Product[];
    onChange: (selectedOption: number | null) => void;
    onPageChange: (pagination: UsePaginationReturn) => void;
    getBodyCell: (column: TableColumn<Product>, item: Product) => TableBodyCellProps<Product>;
    getHeadCell: ((column: TableColumn<Product>) => TableHeadCellProps<Product>) | undefined;
    getTable: () => TableProps<Product>;
};
export declare const ProductsTable: ({ columns, initialSelectedOption, itemsPerPage, numberOfItems, options, products, getBodyCell, getHeadCell, getTable, onChange, onPageChange, }: Props) => import("react/jsx-runtime").JSX.Element;
export {};
//# sourceMappingURL=products-table.component.d.ts.map